/*************************************************************/
/*  mcalc.c                                                  */
/*                                                           */
/*  Latest update: Stefan Spaennare 2003-05-24               */
/*************************************************************/

/****************************************************************************/
/*                                                                           */
/* Notice:                                                                   */
/* =======                                                                   */
/*                                                                           */
/* I make no warranties that this program is (1) free of error, (2) con-     */
/* sistent with any standard merchantability, or (3) meeting the require-    */
/* ments of a particular application.  This software shall not, partly or    */
/* as a whole, participate in a process, whose outcome can result in injury  */
/* to a person or loss of property. It is solely designed for analytical     */
/* work.  Permission to use, copy, and distribute is hereby granted without  */
/* fee, providing that the header above including this notice appears in     */
/* all copies.                                                               */
/*                                                                           */
/*                                                         Stefan Spaennare  */
/*                                                                           */
/*****************************************************************************/


#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>


int main(argc,argv)
int argc;
char *argv[];
{

   int q,a,b,c,itmax,itmaxcol,mod;
   int max,min,t1,t2,t3,bg;

   double ss,temp1,temp2,temp3;

   if (argc != 7) {
      printf("Usage: %s t1i t2i t3i bgi ssr modi< param\n",argv[0]);
      exit(0);
   } /* if */

   t1=atoi(argv[1]);
   t2=atoi(argv[2]);
   t3=atoi(argv[3]);
   bg=atoi(argv[4]);
   ss=atof(argv[5]);
   mod=atoi(argv[6]);


   scanf("%d %d %lf %lf %lf",&max,&min,&temp1,&temp2,&temp3);

   itmax=max;
   itmaxcol=bg;

   q=min;
   a=q+t1;
   b=a+t2;
   c=b+t3;

   printf("%4d %4d %4d %4d %6d %4d %5.2lf %4d\n",
           q,a,b,c,itmax,itmaxcol,ss,mod);


} /* End */
