/*************************************************************/
/*  copy.c   SS July 92                                      */
/*                                                           */
/*************************************************************/

/****************************************************************************/
/*                                                                           */
/* Notice:                                                                   */
/* =======                                                                   */
/*                                                                           */
/* I make no warranties that this program is (1) free of error, (2) con-     */
/* sistent with any standard merchantability, or (3) meeting the require-    */
/* ments of a particular application.  This software shall not, partly or    */
/* as a whole, participate in a process, whose outcome can result in injury  */
/* to a person or loss of property. It is solely designed for analytical     */
/* work.  Permission to use, copy, and distribute is hereby granted without  */
/* fee, providing that the header above including this notice appears in     */
/* all copies.                                                               */
/*                                                                           */
/*                                                         Stefan Spaennare  */
/*                                                                           */
/*****************************************************************************/

#include <math.h>
#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include "image.h"


int main(argc,argv) 
int argc;
char *argv[];
{
   struct image_head header; 
   short **Image;


   if (argc<3) {
      printf("Usage: %s inimage outimage\n",argv[0]);
      exit(0);
   } /* if */

 
   ReadHeader(argv[1],&header);

   Image = (short **)calloc(header.hgh,sizeof(long));

   ReadImage(argv[1],Image);

   WriteImage(argv[2],Image,header,im_s16);

} /* End  */
